Update an import template
curl --request PATCH \
--url https://clarus-api.com/api/import_templates/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Clarus-Subdomain: <api-key>' \
--data '
{
"data": {
"type": "import_templates",
"attributes": {
"file_regexp": "^SALES_.*\\.csv$",
"template_type": "StandardOrder"
}
}
}
'import requests
url = "https://clarus-api.com/api/import_templates/{id}"
payload = { "data": {
"type": "import_templates",
"attributes": {
"file_regexp": "^SALES_.*\.csv$",
"template_type": "StandardOrder"
}
} }
headers = {
"Authorization": "Bearer <token>",
"X-Clarus-Subdomain": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
Authorization: 'Bearer <token>',
'X-Clarus-Subdomain': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
data: {
type: 'import_templates',
attributes: {file_regexp: '^SALES_.*\.csv$', template_type: 'StandardOrder'}
}
})
};
fetch('https://clarus-api.com/api/import_templates/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": {
"id": "45",
"type": "import_templates",
"attributes": {
"file_regexp": "^SALES_.*\\.csv$",
"template_type": "StandardOrder",
"user_id": 7
}
}
}{
"error": "<string>"
}{
"errors": [
{
"code": 123,
"symbol": "<string>",
"details": "<string>",
"source": "<string>",
"context": {}
}
]
}{
"errors": [
{
"code": 123,
"symbol": "<string>",
"details": "<string>",
"source": "<string>",
"context": {}
}
]
}Import Templates
Update an import template
Update an existing import template’s pattern, type, or associations.
PATCH
/
api
/
import_templates
/
{id}
Update an import template
curl --request PATCH \
--url https://clarus-api.com/api/import_templates/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Clarus-Subdomain: <api-key>' \
--data '
{
"data": {
"type": "import_templates",
"attributes": {
"file_regexp": "^SALES_.*\\.csv$",
"template_type": "StandardOrder"
}
}
}
'import requests
url = "https://clarus-api.com/api/import_templates/{id}"
payload = { "data": {
"type": "import_templates",
"attributes": {
"file_regexp": "^SALES_.*\.csv$",
"template_type": "StandardOrder"
}
} }
headers = {
"Authorization": "Bearer <token>",
"X-Clarus-Subdomain": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
Authorization: 'Bearer <token>',
'X-Clarus-Subdomain': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
data: {
type: 'import_templates',
attributes: {file_regexp: '^SALES_.*\.csv$', template_type: 'StandardOrder'}
}
})
};
fetch('https://clarus-api.com/api/import_templates/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": {
"id": "45",
"type": "import_templates",
"attributes": {
"file_regexp": "^SALES_.*\\.csv$",
"template_type": "StandardOrder",
"user_id": 7
}
}
}{
"error": "<string>"
}{
"errors": [
{
"code": 123,
"symbol": "<string>",
"details": "<string>",
"source": "<string>",
"context": {}
}
]
}{
"errors": [
{
"code": 123,
"symbol": "<string>",
"details": "<string>",
"source": "<string>",
"context": {}
}
]
}Authorizations
OAuth 2.0 authentication. Use the client credentials or authorization code flow to obtain an access token.
The subdomain/tenant name identifying which tenant's data to access. Required for all API requests.
Path Parameters
The unique identifier of the import template to update
Body
application/json
Show child attributes
Show child attributes
Response
Updated successfully
Show child attributes
Show child attributes
⌘I

